package cn.sh.stc.sict.theme.hpgp.service.impl;

import cn.sh.stc.sict.theme.hpgp.dao.HpAppointmentEvaMapper;
import cn.sh.stc.sict.theme.hpgp.model.HpAppointmentEva;
import cn.sh.stc.sict.theme.hpgp.service.HpAppointmentEvaService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 预约评价(HpAppointmentEva)表服务实现类
 *
 * @author makejava
 * @since 2022-06-23 10:46:03
 */
@AllArgsConstructor
@Service("hpAppointmentEvaService")
public class HpAppointmentEvaServiceImpl extends ServiceImpl<HpAppointmentEvaMapper, HpAppointmentEva> implements HpAppointmentEvaService {

    private final HpAppointmentEvaMapper hpAppointmentEvaMapper;

    @Override
    public Page<HpAppointmentEva> toBeEavPage(Page page, Long patientId) {
        return hpAppointmentEvaMapper.toBeEavPage(page, patientId);
    }
}